Uploaded image for project: 'Python Driver'
  1. Python Driver
  2. PYTHON-1859

Test failure - Ubuntu 12.04 | serverVersion 3.6 | Sharded

    XMLWordPrintableJSON

Details

    • Bug
    • Status: Closed
    • Major - P3
    • Resolution: Fixed
    • None
    • 3.9
    • Tests
    • None

    Description

      Evergreen fails with the following message:

       $ python setup.py test
       running test
       running egg_info
       creating pymongo.egg-info
       writing requirements to pymongo.egg-info/requires.txt
       writing pymongo.egg-info/PKG-INFO
       writing top-level names to pymongo.egg-info/top_level.txt
       writing dependency_links to pymongo.egg-info/dependency_links.txt
       writing manifest file 'pymongo.egg-info/SOURCES.txt'
       reading manifest file 'pymongo.egg-info/SOURCES.txt'
       reading manifest template 'MANIFEST.in'
       /data/mci/0783427835327bd2f245807bd3635821/src/pymongo/uri_parser.py:207: UserWarning: Option 'ssl_ca_certs' is deprecated, use 'tlsCAFile' instead.
         newoptname))
       Traceback (most recent call last):
         File "setup.py", line 390, in <module>
           **extra_opts
       writing manifest file 'pymongo.egg-info/SOURCES.txt'
         File "/data/mci/0783427835327bd2f245807bd3635821/src/pymongotestvenv/local/lib/python2.7/site-packages/setuptools/__init__.py", line 145, in setup
       running build_ext
       Skipping test 'Valid options specific to single-threaded drivers are parsed correctly'
       Skipping test 'Invalid serverSelectionTryOnce causes a warning'
           return distutils.core.setup(**attrs)
         File "/usr/lib/python2.7/distutils/core.py", line 152, in setup
           dist.run_commands()
         File "/usr/lib/python2.7/distutils/dist.py", line 953, in run_commands
           self.run_command(cmd)
         File "/usr/lib/python2.7/distutils/dist.py", line 972, in run_command
           cmd_obj.run()
         File "setup.py", line 130, in run
           result = runner.run(suite)
         File "/data/mci/0783427835327bd2f245807bd3635821/src/test/__init__.py", line 745, in run
           setup()
         File "/data/mci/0783427835327bd2f245807bd3635821/src/test/__init__.py", line 728, in setup
           client_context.init()
         File "/data/mci/0783427835327bd2f245807bd3635821/src/test/__init__.py", line 313, in init
           self._init_client()
         File "/data/mci/0783427835327bd2f245807bd3635821/src/test/__init__.py", line 306, in _init_client
           ismaster = mongos_client.admin.command('ismaster')
         File "/data/mci/0783427835327bd2f245807bd3635821/src/pymongo/database.py", line 658, in command
           codec_options, session=session, **kwargs)
         File "/data/mci/0783427835327bd2f245807bd3635821/src/pymongo/database.py", line 555, in _command
           client=self.__client)
         File "/data/mci/0783427835327bd2f245807bd3635821/src/pymongo/pool.py", line 584, in command
           user_fields=user_fields)
         File "/data/mci/0783427835327bd2f245807bd3635821/src/pymongo/network.py", line 158, in command
           parse_write_concern_error=parse_write_concern_error)
         File "/data/mci/0783427835327bd2f245807bd3635821/src/pymongo/helpers.py", line 155, in _check_command_response
           raise OperationFailure(msg % errmsg, code, response)
       pymongo.errors.OperationFailure: there are no users authenticated
      

      This is because the test image for Ubuntu 12.04-test3.6 is still running 3.6.3. We should update the mongod version to resolve this failure.

      Attachments

        Activity

          People

            prashant.mital Prashant Mital (Inactive)
            prashant.mital Prashant Mital (Inactive)
            Votes:
            0 Vote for this issue
            Watchers:
            3 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved: